You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
|
- #!/bin/sh
- #
- # Start the Drone Nest Application....
- #
- PIDDIR=/var/run
- DNESTPID=$PIDDIR/DNest.pid
- APPDIR=/root/TH-DNest
-
- case "$1" in
- start)
- printf "Starting Drone Nest Application: "
- start-stop-daemon -S -q -m -b -p $DNESTPID --exec $APPDIR/dnest_daemon.sh
- [ $? = 0 ] && echo "OK" || echo "FAIL"
- ;;
- stop)
- printf "Stopping Drone Nest Application: "
- start-stop-daemon -S -q -m -b -p $DNESTPID --exec $APPDIR/stop.sh
- [ $? = 0 ] && echo "OK" || echo "FAIL"
- ;;
- restart|reload)
- "$0" stop
- "$0" start
- ;;
- *)
- echo "Usage: $0 {start|stop|restart}"
- exit 1
- esac
- exit $?
|